# frozen_string_literal: true

newproperty(:java_home) do
  include EasyType

  desc <<-DESC
    The java home for the specified WebLogic domain home
  DESC

  # rubocop:disable Naming/MethodParameterName
  def insync?(is)
    all_files = DEFAULT_WLS_JAVA_HOME_FILES.collect { |f| "#{resource.name}/#{f}" } + resource.extra_files
    all_files.all? do |f|
      resource.class.java_homes_in_file(f).all?(is)
    end
  end
  # rubocop:enable Naming/MethodParameterName

  to_translate_to_resource do |raw_resource|
    raw_resource[:java_home]
  end

  data_type('String[1]')
end
